<!DOCTYPE html>
<html lang="ru"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>Режиссеры фильмов</title>
  <!--    <script th:inline="javascript">-->
  <!--        let flag = [[${exception}]]; //переменная-флаг Thymeleaf-->
  <!--        window.onload = () => {-->
  <!--            if (flag) new bootstrap.Modal(document.getElementById('deleteErrorModal'), {keyboard: false}).show()-->
  <!--        };-->
  <!--    </script>-->
</head>
<body>
<div layout:fragment="content">
  <div>
    <hr class="hr"/>
    <h3>Поиск режиссера / актера </h3>
    <form method="POST" th:action="@{/directors/search}" th:object="${directorSearchForm}">
      <div class="mt-0 row g-2">
        <div class="col-md">
          <div class="form-floating">
            <input name="directorsFio" type="text" class="form-control" id="directorsFio" placeholder="ФИО автора">
            <label for="directorsFio">ФИО режиссера / актера</label>
          </div>
        </div>
        <div class="row g-2">
          <button type="submit" class="btn btn-secondary">Найти режиссера</button>
        </div>
      </div>
    </form>
  </div>
  <hr class="mt-3 hr"/>
  <div class="mt-5">
    <div class="row">
      <div class="col">
        <h2>Все режиссеры / актеры видеотеки</h2>
      </div>
      <div class="col">
        <a sec:authorize="isAuthenticated() && (hasRole('ADMIN') || hasRole('VIDEO_RENTAL_EMPLOYEE'))"
           th:href="@{/directors/add}"
           class="btn btn-success"
           role="button"
           style="float: right"
           aria-disabled="true">Добавить режиссера / актера</a>
      </div>
    </div>
    <div>
      <table class="table table-hover mt-3">
        <thead>
        <tr>
          <th scope="col">ФИО режиссера/актера</th>
          <th scope="col">Должность</th>
<!--          <th scope="col" class="col-md-5">Описание</th>-->
          <th scope="col"></th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="director : ${directors}">
          <td>
            <a class="text-link text-blue" th:href="'/directors/' + ${director.getId()}" th:text="${director.getDirectorsFio()}"></a>
          </td>
          <td th:text="${director.getPosition().getPositionTextDisplay()}"></td>
<!--          <td th:text="${author.getDescription()}"></td>-->
          <td>
            <div sec:authorize="isAuthenticated() && (hasRole('ADMIN') || hasRole('VIDEO_RENTAL_EMPLOYEE'))">
              <a class="btn btn-sm btn-outline-success" th:href="'/directors/update/' + ${director.getId()}">Обновить</a>
              <a th:if="${!director.isDeleted()}" class="btn btn-sm btn-outline-danger" th:href="'/directors/delete/' + ${director.getId()}"
                 onclick="return confirm('Вы действительно хотите удалить автора?');">Удалить</a>
              <a th:if="${director.isDeleted()}" class="btn btn-sm btn-outline-warning" th:href="'/directors/restore/' + ${director.getId()}">Восстановить</a>
            </div>
          </td>
        </tr>
        </tbody>
      </table>
    </div>
    <!--Модальное окно для ошибок старт-->
    <!--        <div th:if="${exception != null && exception != ''}" class="modal fade" id="deleteErrorModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">-->
    <!--            <div class="modal-dialog">-->
    <!--                <div class="modal-content">-->
    <!--                    <div class="modal-header">-->
    <!--                        <h5 class="modal-title" id="exampleModalLabel">Ошибка</h5>-->
    <!--                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>-->
    <!--                    </div>-->
    <!--                    <div class="modal-body" th:text="${exception}">-->
    <!--                    </div>-->
    <!--                    <div class="modal-footer">-->
    <!--                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">OK</button>-->
    <!--                    </div>-->
    <!--                </div>-->
    <!--            </div>-->
    <!--        </div>-->
    <!--Модальное окно для ошибок конец-->
    <div>
      <nav aria-label="Pagination" th:if="${directors.totalPages gt 0}">
        <ul class="pagination justify-content-center font-weight-bold">
          <li class="page-item" th:classappend="${directors.number eq 0} ? 'disabled'">
            <a class="page-link"
               th:href="@{/directors?page={id}(id=${directors.number lt 2 ? 1 : directors.number})}"
               aria-label="Previous" title="Previous Page" data-toggle="tooltip">
              <span aria-hidden="true">&laquo;</span>
            </a>
          </li>
          <li class="page-item" th:classappend="${i eq directors.number + 1} ? 'active'"
              th:each="i : ${#numbers.sequence( 1, directors.totalPages, 1)}">
            <a class="page-link" th:href="@{/directors?page={id}(id=${i})}" th:text="${i}"
               th:title="${'Page '+ i}" data-toggle="tooltip"></a>
          </li>
          <li class="page-item" th:classappend="${directors.number eq directors.totalPages - 1} ? 'disabled'">
            <a class="page-link"
               th:href="@{/directors?page={id}(id=${directors.number + 2})}"
               aria-label="Next" title="Next Page" data-toggle="tooltip">
              <span aria-hidden="true">&raquo;</span>
            </a>
          </li>
        </ul>
      </nav>
    </div>
  </div>
</div>
</body>
</html>


<!--<!DOCTYPE html>-->
<!--<html lang="en"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--  <meta charset="UTF-8">-->
<!--  <title>Режиссеры, актеры и другие создатели фильмов</title>-->
<!--</head>-->
<!--<body>-->
<!--<div layout:fragment="content">-->
<!--  <h1>Режиссеры, актеры и другие создатели фильмов</h1>-->
<!--  <div class="row">-->
<!--    <div class="col">-->
<!--      <a href="directors/add"-->
<!--         class="btn btn-secondary"-->
<!--         role="button"-->
<!--         style="float: right"-->
<!--         aria-disabled="true">Добавить</a>-->
<!--    </div>-->
<!--  </div>-->
<!--  <table class="table">-->
<!--    <thead>-->
<!--    <tr>-->
<!--      <th scope="col">Ф.И.О.</th>-->
<!--      <th scope="col">Должность</th>-->
<!--      &lt;!&ndash;            <th scope="col">Фильм(ы)</th>&ndash;&gt;-->
<!--      <th scope="col"></th>-->
<!--    </tr>-->
<!--    </thead>-->
<!--    <tbody>-->
<!--    <tr th:each="director : ${directors}">-->
<!--      <td th:text="${director.getDirectorsFio}">-->
<!--        &lt;!&ndash;                <a th:href="'/films/' + ${film.getId()}" ></a>&ndash;&gt;-->
<!--      </td>-->
<!--      <td th:text="${director.getPosition().getPositionTextDisplay()}"></td>-->
<!--      &lt;!&ndash;            <td>&ndash;&gt;-->
<!--      &lt;!&ndash;                <ul>&ndash;&gt;-->
<!--      &lt;!&ndash;                    <li th:each="film : ${director.getFilms()}" th:text="${film.getFilms()}"></li>&ndash;&gt;-->
<!--      &lt;!&ndash;                </ul>&ndash;&gt;-->
<!--      &lt;!&ndash;            </td>&ndash;&gt;-->
<!--    </tr>-->
<!--    </tbody>-->
<!--  </table>-->
<!--</div>-->
<!--</body>-->
<!--</html>-->